@echo off

:	The build.bat file generates the GTAP5 dataset 
:	(gtap001.zip) from the GTAP5 economic data. 
:
:	The GTAP data (flexagg.zip) needs to be placed in ..\data\
:
:	The GTAP patch (579.zip) needs to be placed in ..\data\
:	The patch can be downloaded from
:	http://www.gtap.agecon.purdue.edu/databases/v5/updates.asp	
:
:	To build the GTAPinGAMS package, type "build" in MS-DOS prompt and
:	press "Enter".
:
:	Depending on your computer speed, the build routine takes 10-30 minutes.
: 
:	For more information, visit
:	http://debreu.colorado.edu/gtap/gtapgams.html
:
:	Thomas Rutherford and Sergey Paltsev
:	rutherford@colorado.edu
:	May 2001

if exist ..\data\gtap001.zip goto message

if not exist ..\data\579.zip goto nodata
if not exist ..\data\flexagg.zip goto nodata

:	Patch the GTAP data:

call patch
goto start

:nodata
echo	Error: cannot find ..\data\flexagg.zip
echo	or ..\data\579.zip
echo.
echo	You need to contact GTAP to obtain this file.
echo.
echo.
goto end

:start

echo	Convert gsddat.har into ..\data\gtap.gms:

:pause
echo	gm3>seehar.inp
echo.>>seehar.inp
echo	..\data\gsddat.har>>seehar.inp
echo	..\data\gsddat.gms>>seehar.inp
echo	r>>seehar.inp
seehar -sti seehar.inp

echo	Get rid of very small numbers
cd ..
cd data
call ..\build\trnsl8
if exist gsddat.bak del gsddat.bak
ren gsddat.gms gsddat.bak
ren gsddat.out gsddat.gms
cd ..
cd build


echo	Use GAMS to relabel, scale, and create ..\data\gtap.zip:
echo	Takes some time! Be patient!
echo.
:relabel
call gams relabel


:filter
echo	Use GAMS to filter, recalibrate, and create gtap001.zip:
echo.
:pause
echo	$setglobal tolerance 001  >filter.inc

call gams filter

echo	The GTAPinGAMS dataset is in ..\data\gtap001.zip
echo.	


:aggr
echo	Will now aggregate the ..\data\gtap001.zip to produce ..\data\gtap5_small.zip
echo.	
echo	It will replace the existing aggregated dataset (gtap5_small.zip). 
echo	Press Ctrl-C to cancel, or
:pause
call gtapaggr gtap5_small

:model
echo	Will now run an illustrative MPSGE model 
echo.	
pause
cd ..
cd models
call gams mrtmge
cd..
cd build
goto end

:message
echo.
echo	You already have the GTAPinGAMS dataset.
echo.	
echo	If you want to rebuild it, delete the file GTAP001.ZIP
echo	from the DATA subdirectory, and run BUILD.BAT again.
echo.

:end
